# Uses of Enum
org.apache.commons.math3.ml.neuralnet.twod.NeuronSquareMesh2D.VerticalDirection

Packages that use NeuronSquareMesh2D.VerticalDirection
Package
Description
org.apache.commons.math3.ml.neuralnet.twod
Two-dimensional neural networks.

## Uses of NeuronSquareMesh2D.VerticalDirection in org.apache.commons.math3.ml.neuralnet.twod

Methods in org.apache.commons.math3.ml.neuralnet.twod that return NeuronSquareMesh2D.VerticalDirection
Modifier and Type
Method
Description
`static NeuronSquareMesh2D.VerticalDirection`
NeuronSquareMesh2D.VerticalDirection.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NeuronSquareMesh2D.VerticalDirection[]`
NeuronSquareMesh2D.VerticalDirection.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.ml.neuralnet.twod with parameters of type NeuronSquareMesh2D.VerticalDirection
Modifier and Type
Method
Description
`Neuron`
NeuronSquareMesh2D.`getNeuron(int row, int col, NeuronSquareMesh2D.HorizontalDirection alongRowDir, NeuronSquareMesh2D.VerticalDirection alongColDir)`
Retrieves the neuron at `(location[0], location[1])` in the map.